Loading...
Searching...
No Matches
itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct Struct Reference

## Detailed Description

template<class TFixedImage, class TMovingImage>
struct itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct

Definition at line 243 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## Data Fields

DerivativeType | st_DerivativeF
DerivativeType | st_DerivativeM
DerivativeType | st_Differential
SizeValueType | st_NumberOfPixelsCounted
AccumulateType | st_Sf
AccumulateType | st_Sff
AccumulateType | st_Sfm
AccumulateType | st_Sm
AccumulateType | st_Smm

## Field Documentation

## st_DerivativeF

template<class TFixedImage, class TMovingImage>

DerivativeType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_DerivativeF

Definition at line 251 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_DerivativeM

template<class TFixedImage, class TMovingImage>

DerivativeType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_DerivativeM

Definition at line 252 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_Differential

template<class TFixedImage, class TMovingImage>

DerivativeType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_Differential

Definition at line 253 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_NumberOfPixelsCounted

template<class TFixedImage, class TMovingImage>

SizeValueType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_NumberOfPixelsCounted

Definition at line 245 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_Sf

template<class TFixedImage, class TMovingImage>

AccumulateType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_Sf

Definition at line 249 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_Sff

template<class TFixedImage, class TMovingImage>

AccumulateType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_Sff

Definition at line 246 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_Sfm

template<class TFixedImage, class TMovingImage>

AccumulateType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_Sfm

Definition at line 248 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_Sm

template<class TFixedImage, class TMovingImage>

AccumulateType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_Sm

Definition at line 250 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

## st_Smm

template<class TFixedImage, class TMovingImage>

AccumulateType itk::AdvancedNormalizedCorrelationImageToImageMetric< TFixedImage, TMovingImage >::CorrelationGetValueAndDerivativePerThreadStruct::st_Smm

Definition at line 247 of file itkAdvancedNormalizedCorrelationImageToImageMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |